#
# $Header: /scratch/fock/cvsroot/xd/xdgraph/tcl/guiAssistMenu.tcl,v 1.1 1996/05/23 07:42:12 richter Rel $
#
#
# $Log: guiAssistMenu.tcl,v $
# Revision 1.1  1996/05/23 07:42:12  richter
# Initial revision
#
#

proc guiAssistMenu {w} {

    set features [driver features]
    menubutton $w -text Assist -underline 0 -menu $w.menu
    set m [menu $w.menu]
    $m add command -label "Step by Step ..." -command Step_by_step
    $m add separator
    if {[lsearch -exact $features xydiag] > -1} {
	$m add command -label "auto XY-Diagramm ..." -command Assist_xydiag
    } else {
	$m add command -label "auto XY-DIagramm ..." -command Assist_xydiag \
	    -state disabled
    }
    $m add separator
    if {[lsearch -exact $features contour] > -1} {
	$m add command -label "auto Contour ..." -command Assist_contour
    } else {
	$m add command -label "auto Contour ..." -command Assist_contour \
	    -state disabled
    }
    if {[lsearch -exact $features relief] > -1} {
	$m add command -label "auto Relief ..." -command Assist_relief
    } else {
	$m add command -label "auto Relief ..." -command Assist_relief \
	    -state disabled
    }
    $m add separator
    if {[lsearch -exact $features isosurface] > -1} {
	$m add command -label "auto Isosurface ..." -command Assist_isosurface
    } else {
	$m add command -label "auto Isosurface ..." \
	    -command Assist_isosurface -state disabled
    }
    if {[lsearch -exact $features heightfield] > -1} {
	$m add command -label "auto Heightfield ..." \
	    -command Assist_heightfield
    } else {
	$m add command -label "auto Heightfield ..." \
	    -command Assist_heightfield -state disabled
    }
    $m add separator
    if {[lsearch -exact $features molecule] > -1} {
	$m add command -label "auto Molecule ..." -command Assist_molecule
    } else {
	$m add command -label "auto Molecule ..." -command Assist_molecule \
	    -state disabled
    }
}
