#ifndef XD_DRVPROTO_H
#define XD_DRVPROTO_H
#include <tk.h>
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/drvProto.h,v 2.13 1997/03/29 18:14:34 richter Rel $
 *
 * $Log: drvProto.h,v $
 * Revision 2.13  1997/03/29 18:14:34  richter
 * some functions are now static
 * tkFlush has new parameter 'what'
 *
 * Revision 2.12  1996/11/03  16:35:14  richter
 * some returns changed
 *
 * Revision 2.11  1996/09/06  11:16:44  richter
 * display list interface caused many changes
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.3  1996/07/25  06:01:19  richter
 * new arguments to gtHeightField
 *
 * Revision 2.9.1.2  1996/07/03  10:07:52  richter
 * *** empty log message ***
 *
 * Revision 2.9.1.1  1996/05/19  16:06:01  richter
 * *** empty log message ***
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:19  richter
 * First semi-public beta release
 *
 *
 */

/* drvGT.c */
extern void gtInit(char *init);
extern int gtClearView(DrvgtP ddp);
extern void gtAllocDriverData(DrvgtP *ddp);
extern GtColor *gtSetColorRGB(float rgb[3]);
extern GtLinewidth *gtSetLinewidth(double width);
extern GtLinestipple *gtSetLinestipple(int plength, double *pattern);
extern void gtSetRotation(ViewP view, int xnow, int ynow);
extern void gtSetRotx(ViewP view, int xang);
extern void gtSetRoty(ViewP view, int yang);
extern void gtSetOrigin(ViewP view, int xnow, int ynow);
extern void gtSetWindowSize(ViewP view, int pixw, int pixh);
/* drvGTOptions.c */
extern int gtOptionsCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
/* drvGTRedraw.c */
extern void gtRedraw(ViewP view, int flags);
/* drvGTWidget.c */
extern int GlxwinCmd(ClientData clientData, Tcl_Interp *interp, int argc, char **argv);
extern int TkGLx_Init(Tcl_Interp *interp, Tk_Window topLevel);
/* drvTK.c */
extern void tkInit(char *init);
extern void tkAllocDriverData(DrvtkP *ddp);
extern void tkRedraw(ViewP view, DLobjP o);
extern void tkSetYoff(DrvtkP ddp, double h);
extern int tkMark(DrvtkP ddp, double x, double y, MarkDataT *mark);
extern int tkDrawSegment(ViewP view, DrvtkP ddp, DLSegment *p);
extern void tkDrawPointSet(ViewP view, DrvtkP ddp, SegmentP s);
extern int tkDrawText(ViewP view, DrvtkP ddp, DLText *t);
extern int tkRectangle(DrvtkP ddp, double xll, double yll, double xur, double yur);
extern int tkOutlineRectangle(DrvtkP ddp, double xll, double yll, double xur, double yur);
extern int tkMove(void *drdat, double x, double y);
extern int tkDraw(void *drdat, double x, double y);
extern int tkFlush(DrvtkP ddp, char *init, int what);
extern int tkApplyStyle(DrvtkP ddp, int mask, StyleP style);
extern int tkRemove(ViewP view, int tag);

#endif
