#ifndef XD_GRDTYPES_H
#define XD_GRDTYPES_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/grdTypes.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: grdTypes.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:22  richter
 * First semi-public beta release
 *
 *
 */

typedef struct gridS *GridP;
typedef struct gridS {
    int    nx, ny, nz;
    double xran, yran, zran;
    double xinc, yinc, zinc;
    double ox, oy, oz;
    double vmin, vmax;
    double *va;
    double *pl;
} GridT;

#endif
