#ifndef XD_PTHPROTO_H
#define XD_PTHPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/pthProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: pthProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:24  richter
 * First semi-public beta release
 *
 *
 */

/* pthCommand.c */
extern int PathCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int PathObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
/* pthManager.c */
extern PathP pthAlloc(char *name);
extern void pthClean(PathP pPtr, int old);
extern void pthFree(PathP *pth);
extern int pthListByName(char *match);
extern PathdataP pthdataAlloc(int oid, char *type, int np);
extern void pthdataFree(PathdataP *pth);

#endif
