#ifndef XD_RELPROTO_H
#define XD_RELPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/relProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: relProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:25  richter
 * First semi-public beta release
 *
 *
 */

/* relCommand.c */
extern int ReliefCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int ReliefObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
/* relEngine.c */
extern void relEngine(GridT *g, ReliefP r);
/* relManager.c */
extern ReliefP relAlloc(char *name);
extern void relClean(ReliefP rPtr, int old);
extern void relFree(ReliefP *rel);
extern int relListByName(char *match);
extern int relInfo(Tcl_Interp *interp, ReliefP rPtr);

#endif
