#ifndef XD_SEGPROTO_H
#define XD_SEGPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/segProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: segProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/05/19  16:06:58  richter
 * *** empty log message ***
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:26  richter
 * First semi-public beta release
 *
 *
 */

/* segManager.c */
extern SegmentP segAlloc(int size, int what);
extern void segFree(SegmentP *seg);
extern void segAddSegment(SegmentP *seg, double x, double y, double z);
extern void segAddLine(SegmentP *seg, double x1, double y1, double z1, double x2, double y2, double z2);
extern void segAddPoint(SegmentP *seg, double x, double y, double z);
extern void segSwitchSegment(SegmentP *seg);
extern void segReplaceSegment(SegmentP *seg, double x, double y, double z);
extern void segFinishSegment(SegmentP *seg);
extern void segDump(SegmentP seg);

#endif
