#
# $Header: /scratch/fock/cvsroot/xd/xdgraph/tcl/guiCreateMenu.tcl,v 1.2 1996/09/06 12:47:04 richter Rel $
#
#
# $Log: guiCreateMenu.tcl,v $
# Revision 1.2  1996/09/06 12:47:04  richter
# use guiConfigure
#
# Revision 1.1  1996/05/23  07:42:16  richter
# Initial revision
#
#

proc guiCreateMenu {w} {

    set features [driver features]
    menubutton $w -text Create -underline 0 -menu $w.menu  
#Cljf remove tearoff option on menu
#    set m [menu $w.menu]
    set m [menu $w.menu -tearoff off]
    $m add command -label "View ..." -command "guiConfigure view"
#Cljf remove uneccessary (ugly ?)  extra separator
#    $m add separator
    $m add separator
    if {[lsearch -exact $features xydiagram] > -1} {
#Cljf Diagramm -> Diagram  (typographical)
        $m add command -label "XY-Diagram ..." -command "guiConfigure xydiag"
    } else {
        $m add command -label "XY-Diagram ..." -command "guiConfigure xydiag" \
	    -state disabled
    }
    $m add separator
    if {[lsearch -exact $features contour] > -1} {
	$m add command -label "Contour ..." -command "guiConfigure contour"
    } else {
	$m add command -label "Contour ..." -command "guiConfigure contour" \
	    -state disabled
    }
    if {[lsearch -exact $features relief] > -1} {
	$m add command -label "Relief ..." -command "guiConfigure relief"
    } else {
	$m add command -label "Relief ..." -command "guiConfigure relief" \
	    -state disabled
    }
    if {[lsearch -exact $features path] > -1} {
	$m add command -label "Path ..." -command "guiConfigure path"
    } else {
	$m add command -label "Path ..." -command "guiConfigure path" \
	    -state disabled
    }
    $m add separator
    if {[lsearch -exact $features isosurface] > -1} {
	$m add command -label "Isosurface ..." \
	    -command "guiConfigure isosurface"
    } else {
	$m add command -label "Isosurface ..." \
	    -command "guiConfigure isosurface" \
	    -state disabled
    }
    if {[lsearch -exact $features heightfield] > -1} {
	$m add command -label "Heightfield ..." \
	    -command "guiConfigure heightfield"
    } else {
	$m add command -label "Heightfield ..." \
	    -command "guiConfigure heightfield" \
	    -state disabled
    }
    $m add separator
    if {[lsearch -exact $features molecule] > -1} {
	$m add command -label "Molecule ..." -command "guiConfigure molecule"
    } else {
	$m add command -label "Molecule ..." -command "guiConfigure molecule" \
	    -state disabled
    }
}
