#
# $Header: /scratch/fock/cvsroot/xd/xdgraph/tcl/hlpView.tcl,v 1.1 1996/05/23 07:42:22 richter Rel $
#
#
# $Log: hlpView.tcl,v $
# Revision 1.1  1996/05/23 07:42:22  richter
# Initial revision
#
#

proc help {{file ""} {key ""}} {
    set w [toplevel .help]
    
    set f [frame $w.st]
    set t [text $f.text -relief sunken -bd 2 -yscrollcommand "$f.scroll set" \
	       -width 80 -height 24]
    scrollbar $f.scroll -relief sunken -command "$f.text yview"
    pack $f.text $f.scroll -side left -expand yes -fill both

    set f [frame $w.bt -bd 2]
    button $f.ok -text "Done" -command "destroy $w"
    pack $f.ok -side left -expand yes -ipadx 2 -ipady 2

    pack $w.st $w.bt -expand yes -fill both

    if {$file != ""} {
	set F [open $file]
	while {[gets $F line] > -1} {
	    if {[regexp -- "^#@@(.*)" $line "" tag]} {
		set v [$t index end-1chars]
		$t insert end "$tag\n"
		set b [$t index end-1chars]
		$t tag add TAG $v $b
		set _hlp_table($tag) $b
	    } else {
		$t insert end "$line\n"
	    }
	}
	close $F
    }
#@@tag
    $t tag configure TAG -underline 1
    if {$key != ""} {
	$t yview $_hlp_table($key)
    }
}

help hlpView.tcl tag

proc help {{file ""} {key ""}} {

    set w [toplevel .help]
    
    set f [frame $w.st]
    set t [text $f.text -relief sunken -bd 2 -yscrollcommand "$f.scroll set" \
	       -width 80 -height 24]
    scrollbar $f.scroll -relief sunken -command "$f.text yview"
    pack $f.text $f.scroll -side left -expand yes -fill both

    set f [frame $w.bt -bd 2]
    button $f.ok -text "Done" -command "destroy $w"
    pack $f.ok -side left -expand yes -ipadx 2 -ipady 2

    pack $w.st $w.bt -expand yes -fill both

    if {$file != ""} {
	set F [open $file]
	while {[gets $F line] > -1} {
	    if {[regexp -- "^#@@(.*)" $line "" tag]} {
		set v [$t index end-1chars]
		$t insert end "$tag\n"
		set b [$t index end-1chars]
		$t tag add TAG $v $b
		set _hlp_table($tag) $v
	    } else {
		$t insert end "$line\n"
	    }
	}
	close $F
    }
    $t tag configure TAG -underline 1
    if {$key != ""} {
	$t yview $_hlp_table($key)
    }
}

