#ifndef lint
static char *rcsid = "$Header: /scratch/fock/cvsroot/xd/xdgraph/src/cnxManager.c,v 2.11 1996/07/25 12:48:38 richter Rel $";
static char *copyright = "Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.";
#endif
/*
 * $Log: cnxManager.c,v $
 * Revision 2.11  1996/07/25 12:48:38  richter
 * defstyle moved to MoleculeT, arg 'all' is no longer needed.
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  15:54:28  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:04  richter
 * First semi-public beta release
 *
 *
 */
/*
 *----------------------------------------------------------------------
 * include files
 *----------------------------------------------------------------------
 */
#include "conf.h"               /* global configuration                 */
#include "xdgraph.h"		/* type definitions and array sizes     */
#include "styProto.h"
#include "cnxProto.h"

void
cnxClean(ConnP cnx,
	 int old)		/* was in use ==> free malloc'ed objects  */
{
    if (!cnx) return;

    if (old) {
	if (cnx->obj1)  ckfree((char *)cnx->obj1);
	if (cnx->obj2)  ckfree((char *)cnx->obj2);
	if (cnx->style) ckfree((char *)cnx->style);
    }

    cnx->nc =    0;
    cnx->obj1 =  NULL;
    cnx->obj2 =  NULL;
    cnx->style = NULL;
    return;
}
