#ifndef XD_OBJTYPES_H
#define XD_OBJTYPES_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/objTypes.h,v 2.11 1996/07/25 12:50:22 richter Rel $
 *
 * $Log: objTypes.h,v $
 * Revision 2.11  1996/07/25 12:50:22  richter
 * defstyle moved to MoleculeT.
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/07/03  14:29:25  richter
 * removed obj->s
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:24  richter
 * First semi-public beta release
 *
 *
 */

typedef struct objectS *ObjectP;
typedef struct objectS {
    int    na;
    c3dT   *coord;
    char   **name;
    char   **type;
    StyleP *style;
} ObjectT;

#endif
