#ifndef XD_PTHTYPES_H
#define XD_PTHTYPES_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/pthTypes.h,v 2.11 1996/09/06 11:35:51 richter Rel $
 *
 * $Log: pthTypes.h,v $
 * Revision 2.11  1996/09/06 11:35:51  richter
 * new 'tag' field (for the display list interface)
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/05/19  16:06:41  richter
 * no more transformations
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:25  richter
 * First semi-public beta release
 *
 *
 */

typedef struct pathdataS *PathdataP;
typedef struct pathdataS {
    int       tag;
    int       oid;
    char      *type;
    SegmentP  seg;
    PathdataP next;
} PathdataT;

typedef struct pathS *PathP;
typedef struct pathS {
    char      *name;
    StyleT    style;
    PathdataP path;
    ObjectP   objects;
    char      *view;
    char      *set;
} PathT;

#endif
